Subject: Re: Continual reading from the PowerPc time base register is not stable

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 25 Mar 2010 19:21:41 +1100

On Thu, 2010-03-25 at 10:41 +0800, Csdncannon wrote:
>          In my program, the value of the 64-bit time base register is
> read out, and you will find the later value is even smaller than the
> earlier value from the log “log_timebase”. While the kernel depends on
> the accuracy of the timebase for the compensation of the lost PIT
> interrupt, the negative value between two continual timebase reading
> will bring to the jump of the jiffies. And this timebase problem will
> bring to the instability of the gettimeofday system call.
> 
>          Do you have any idea about this problem, thanks for your any
> advice. Attached is the code and log.

This is a concern, it should definitely not happen. What machine is
that ? is the code compiled 32-bit or 64-bit ? What kernel version ?

Arnd, any chance that could relate to the bug you've been chasing on
Cell ?

Cheers,
Ben.

> 
> Thanks
> 
> Gino
> 
> 
> 
>  
> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev